# $Revision: 1.21 $, $Date: 2012/06/21 12:48:33 $
%define		module	cssutils
%define		encutils_ver 0.9.8
Summary:	A CSS Cascading Style Sheets library for Python
Summary(pl.UTF-8):	Biblioteka CSS (Cascading Style Sheets) dla Pythona
Name:		python-%{module}
Version:	0.9.9
Release:	2
Epoch:		1
License:	LGPL v3+
Group:		Libraries/Python
Source0:	http://cheeseshop.python.org/packages/source/c/cssutils/%{module}-%{version}.zip
# Source0-md5:	5f8ea824cc0e0518b574da20e895be08
URL:		http://cthedot.de/cssutils/
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	unzip
%pyrequires_eq	python-modules
Provides:	python-encutils = %{encutils_ver}
Obsoletes:	python-encutils < %{encutils_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A Python package to parse and build CSS Cascading Style Sheets. Partly
implements the DOM Level 2 Stylesheets and DOM Level 2 CSS interfaces.

%description -l pl.UTF-8
Pakiet Pythona do analizy i tworzenia CSS (Cascading Style Sheets).
Częściowo implementuje interfejsy DOM Level 2 Stylesheets oraz DOM
Level 2 CSS.

%prep
%setup -q -n %{module}-%{version}
eval $(PYTHONPATH=src python -c "from encutils import VERSION;print 'VERSION=%%s' %% VERSION")
if [ $VERSION != %{encutils_ver} ]; then
	echo "Please set encutils_ver to $VERSION"
	exit 1
fi

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
        --single-version-externally-managed \
	--optimize=2 \
	--root $RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt
%attr(755,root,root) %{_bindir}/csscapture
%attr(755,root,root) %{_bindir}/csscombine
%attr(755,root,root) %{_bindir}/cssparse
%dir %{py_sitescriptdir}/cssutils
%dir %{py_sitescriptdir}/cssutils/css
%dir %{py_sitescriptdir}/cssutils/scripts
%dir %{py_sitescriptdir}/cssutils/stylesheets
%dir %{py_sitescriptdir}/encutils
%attr(755,root,root) %{py_sitescriptdir}/cssutils/*.py[co]
%attr(755,root,root) %{py_sitescriptdir}/cssutils/css/*.py[co]
%attr(755,root,root) %{py_sitescriptdir}/cssutils/scripts/*.py[co]
%attr(755,root,root) %{py_sitescriptdir}/cssutils/stylesheets/*.py[co]
%attr(755,root,root) %{py_sitescriptdir}/encutils/*.py[co]
%{py_sitescriptdir}/*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-cssutils.spec,v $
Revision 1.21  2012/06/21 12:48:33  baggins
- rel 2

Revision 1.20  2012/06/13 15:52:22  jajcus
- encutils_ver: 0.9.8

Revision 1.19  2012/06/10 21:28:57  blues
- 0.9.9

Revision 1.18  2011/01/10 08:31:28  lisu
- final stable version is 0.9.7, move 0.9.8 to DEVEL
- epoch 1

Revision 1.17  2011/01/03 14:48:38  lisu
- 0.9.8a1
- rpm-build-macros >= 1.219 required (for py_postclean macro)

Revision 1.16  2010/11/23 23:41:38  baggins
- no tests installed in this version

Revision 1.15  2010/11/23 23:36:00  baggins
- 0.9.7b4

Revision 1.14  2010/11/13 00:18:51  pawelz
- release 3

Revision 1.13  2010/07/08 08:05:41  arekm
- release 2

Revision 1.12  2009/10/25 10:12:29  wiget
- updated to 0.9.6b5

Revision 1.11  2009/03/22 15:11:57  wiget
- cssutils provides encutils
- fix license (LGPL v3+)
- release 2

Revision 1.10  2009/03/14 22:01:18  duddits
- up to 0.9.6a2
- more %files

Revision 1.9  2008/11/21 22:14:15  charles
- BR: unzip

Revision 1.8  2008/10/14 06:42:14  arekm
- release 3

Revision 1.7  2008/10/03 17:47:49  arekm
- release 2

Revision 1.6  2008/08/31 15:44:13  luzik
- updated to 0.9.5.1

Revision 1.5  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.3  2006/11/07 20:37:38  qboosh
- pl, BR: rpm-pythonprov

Revision 1.2  2006/11/03 10:35:32  wiget
- missing BR

Revision 1.1  2006/11/03 10:34:11  wiget
- initial version
